Skip to main content
`Ctrl`+`K`

# MatHermitianTranspose

Computes an in-place or out-of-place Hermitian transpose of a matrix in complex conjugate.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatHermitianTranspose(Mat mat, MatReuse reuse, Mat *B)

Collective

## Input Parameters

- mat - the matrix to transpose and complex conjugate

- reuse - either `MAT_INITIAL_MATRIX`, `MAT_REUSE_MATRIX`, or `MAT_INPLACE_MATRIX`

## Output Parameter

- B - the Hermitian transpose

## See Also

Matrices, `Mat`, `MatTranspose()`, `MatMultTranspose()`, `MatMultTransposeAdd()`, `MatIsTranspose()`, `MatReuse`

## Level

intermediate

## Location

src/mat/interface/matrix.c

## Examples

src/ksp/ksp/tutorials/ex27.c
src/ksp/ksp/tutorials/ex87.c

## Implementations

MatHermitianTranspose_Elemental() in src/mat/impls/elemental/matelem.cxx
MatHermitianTranspose_ScaLAPACK() in src/mat/impls/scalapack/matscalapack.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages